
Redmine - Feature #6154

Save issue as draft

2010-08-17 13:43 - Martin Kande

Status: Reopened Start date: 2010-08-17

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Please add possibility to save issue drafts for later submission.

Related issues:

Has duplicate Redmine - Feature #12225: (Automatic) Draft Save Closed

Has duplicate Redmine - Feature #13441: Save draft option for new issue Closed

Has duplicate Redmine - Feature #22752: Draft feature Closed

History

#1 - 2010-08-17 15:50 - Holger Just

This is a duplicate of #2910.

http://github.com/jbbarth/redmine_drafts is a plugin which could solve your issue.

#2 - 2010-08-17 15:50 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

#3 - 2010-08-26 16:40 - Martin Kande

- Status changed from Closed to Reopened

My idea is not about loosing unsaved data or "Warning on leaving edited issue page", so it is not a dublicate of #2910.

Idea description: Each user can save drafts for later submission. So, there should be more buttons: [submit], [save as draft]. Each user can save

unlimited number of drafts, review and submit them later when they are ready. It should be very useful for brainstorming or idea projects.

That means one more column in issue table and small patch.

#4 - 2010-12-30 01:55 - Mischa The Evil

- Resolution deleted (Duplicate)

Martin Kande wrote:

My idea is not about loosing unsaved data or "Warning on leaving edited issue page", so it is not a duplicate of #2910.

[...]

 Clear! Thanks for taking care of giving feedback. I'll remove the issue-relation and the set resolution.

#5 - 2011-05-18 05:35 - Mike Kokhanov

Martin Kande wrote:

Please add possibility to save issue drafts for later submission.

This would be a really good improvement.

Probably, issue-drafts should be visible for the issue-owners only. And there should be a flow for that kind of issues:

once issue saved as a draft, system should not track changes (versions, titles, assignees etc.)
once issue was published, it cannot become draft anymore.

#6 - 2011-05-18 07:23 - Terence Mill

This modification can not be a one time thing per issue, because every change on the issue (aka edit) can have state change "draft" to "publish

change" never the less it is a new or an existing (First change) issue the change applies on.

In worst case there can be unlimited number of drafts for changes the users never published and i case of a workflow there is an actual state the

permission at least for the status chnage depends on. So on every "publish my draft" (must per saved at least per user per issue, or even more than

one draft per user and issue - huh gets complicated) there could raise a exception that change i sno more allowed because the underlying issue state

chnaged in the mean time and e.g the draft's status change is nor more allowed.

Mike Kokhanov wrote:

Martin Kande wrote:

Please add possibility to save issue drafts for later submission.

This would be a really good improvement.

Probably, issue-drafts should be visible for the issue-owners only. And there should be a flow for that kind of issues:

once issue saved as a draft, system should not track changes (versions, titles, assignees etc.)

once issue was published, it cannot become draft anymore.

#7 - 2012-10-27 08:47 - Daniel Felix

+1!

I like to have this in the next major release. This would be quite useful for developers which have to switch often between two or more tickets.

#8 - 2013-03-20 16:56 - MIchael Ermolenko

I'm also waiting for this feature. While issue is in draft status no notifications should be sent.

#9 - 2013-11-25 09:41 - Romain Kassel

Any updates on this feature?

#10 - 2014-07-01 16:19 - sch uess

+1

I'd also like to have this feature plus "automatically save a draft of things I do every 30 seconds" (e.g. as gmail does it)

It sometimes happens I edit a ticket and an external link opens in this tab so all my work is lost.

#11 - 2018-03-20 15:49 - Marius BĂLTEANU

- Has duplicate Feature #13441: Save draft option for new issue added

#12 - 2018-03-20 15:50 - Marius BĂLTEANU

- Has duplicate Feature #22752: Draft feature added

#13 - 2021-06-29 16:55 - David Doležal

Any updates on this feature?

#14 - 2024-12-08 13:22 - Kota Shiratsuka

I've created a new plugin.

It is created using only client-side javascript, not server, and features an unobtrusive display!

https://www.redmine.org/plugins/redmine_auto_save_drafts

#15 - 2024-12-08 13:57 - pasquale [:dedalus]

Hi Marius BĂLTEANU Go MAEDA this should be landed as core feature... It's possible to incorporate the plugin into Redmine core?

Thanks!
